# $Revision: 1.12.2.2 $, $Date: 2003/08/08 17:51:37 $
Summary:	XMMS Plugin for Crossfading and Continuous Output
Summary(pl):	Wtyczka do XMMS zapewniajca dwik bez przerw
Name:		xmms-output-crossfade
Version:	0.2.9
Release:	5
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
# Source0-md5:	7427e9f8e79e3532b6c85e36459e453a
URL:		http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/
Buildrequires:	autoconf
Buildrequires:	automake
BuildRequires:	gtk+-devel
Buildrequires:	libtool
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_libdir		%{_prefix}/lib/xmms/Output

%description
xmms-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of mp3 files. These gaps are caused by some mp3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is usefull for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -l pl
Moliwoci xmms-output-crossfade to:
- pynne przechodzenie midzy dwoma utworami
- pynne wchodzenie i wyciszanie na pocztku i kocu odtwarzania
- cige odtwarzanie dwiku, take przy przechodzeniu midzy
  utworami; w poczeniu z Gap-Killerem daje to moliwo odtworzenia
  caego albumu bez adnej syszalnej przerwy
- Gap-Killer - usuwajcy fragmenty ciszy na pocztku i kocu plikw
  mp3 (spowodowane przez niektre kodery)
- automatyczne wykrywanie albumw koncertowych i pre-miksowanych, na
  ktrych cieki ju maj pynne przejcia - dla nich dodawanie
  pynnych przej moe by automatycznie wyczane
- wysoka jako - XMMS-crossfade stara si unika trzaskw
  wystpujcych na niektrych kartach dwikowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybra dodatkow
  wtyczk, np. do normalizcji wraz z wtyczk icecast.

%prep
%setup -n xmms-crossfade-%{version} -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS README TODO
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-crossfade.spec,v $
Revision 1.12.2.2  2003/08/08 17:51:37  misi3k
- rel 5
- rebuild
- md5

Revision 1.12.2.1  2003/07/11 12:04:55  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.12  2002/10/01 15:30:40  kloczek
- release 4: use new %doc.

Revision 1.11  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 16:10:16  blues
- release 3
- added ac/am stuff regeneration (BR added)

Revision 1.5  2002/01/04 12:41:02  wolf
- provides xmms-output-plugin
- release 2

Revision 1.4  2001/12/12 09:31:48  wolf
- fixed typo

Revision 1.3  2001/12/11 14:34:41  qboosh
- pl description, cosmetics

Revision 1.2  2001/12/11 13:28:51  ankry
- fixed Source0 name

Revision 1.1  2001/12/11 10:47:08  wolf
Initial release
